## Class template impl_template

boost::log::attributes::function::impl_template — Factory implementation.

## Synopsis

    // In header: <boost/log/attributes/function.hpp>

    // Factory implementation.
    template<typename T>
    class impl_template : public function< R >::impl {
    public:
      // construct/copy/destruct
      explicit impl_template(T const &);

      // public member functions
      virtual attribute_value get_value();
    };

## Description

### `impl_template` public construct/copy/destruct

1.     explicit impl_template(T const & fun);

   Constructor with the stored delegate initialization

### `impl_template` public member functions

1.     virtual attribute_value get_value();

   Returns: | The actual attribute value. It shall not return empty values (exceptions shall be used to indicate errors).